	byte b(118),c(16)
	character*118 a
	character*1 n(16),m(16)
	character*20 f1
	integer d(16)
	equivalence(a,b)
	data m/'j','U','a','b','c','d','e','f',
     *         'g','h','i','k','m','n','o','p'/
	if(iargc().lt.1)then
	  write(*,*)' order 1.1 '
	  write(*,*)
	  stop
	endif
	call getarg(1,f1)
	open(1,file=f1,status='old')
5	read(1,'(a)',end=100)f1
	open(2,file=f1,status='old')
	read(2,'(a)')a
	do 10 i=1,16
	k=i*5+37
10	n(i)=a(k:k)
	write(*,*)n
	close(2)
	goto 5
100	continue
	end
